Skip to content

List external supplier tickets ​

GET
/v1/admin/xs2event/tickets

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
ticket_id
Type
string
event_id
Type
string
supplier_id
Type
string
organiser_id
Type
string
ticket_validfrom
Type
string
ticket_validuntil
Type
string
stocklevel
Type
string
purchaseorder_status
Type
string
ticket_source
Type
string
supplier_quantity
Type
string
available_tickets
Type
string
release_date
Type
string
sport_type

Enum: soccer, motorsport, tennis, rugby, darts, horseracing, boxing, other, motogp, formula1, cricket, basketball, combatsport, icehockey, nba, nfl, mlb, watersport, dtm, indycar, superbike, padel, handball, golf, rowing, cycling, sailing

Type
string
purchase_channel

Enum: automatic, manual

Type
string
category_id
Type
string
ticket_status

Enum: available, disabled, error, returned, on_request

Type
string
query
Type
string

Responses​

OK

application/json
JSON
{
  
"tickets": [
  
  
{
  
  
  
"ticket_id": null,
  
  
  
"category_id": null,
  
  
  
"sub_category": null,
  
  
  
"external_ticket_id": null,
  
  
  
"ticket_title": null,
  
  
  
"type_ticket": null,
  
  
  
"ticket_status": null,
  
  
  
"flags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"ticket_validuntil": null,
  
  
  
"ticket_validfrom": null,
  
  
  
"ticket_validity": null,
  
  
  
"organiser_price": null,
  
  
  
"organiser_vat": null,
  
  
  
"xs2event_price": null,
  
  
  
"xs2event_vat": null,
  
  
  
"supplier_quantity": 0,
  
  
  
"backorder_quantity": 0,
  
  
  
"available_quantity": 0,
  
  
  
"currency_code": null,
  
  
  
"event_id": null,
  
  
  
"supplier_id": null,
  
  
  
"xs2event_stock": 0,
  
  
  
"net_rate": null,
  
  
  
"face_value": null,
  
  
  
"created": null,
  
  
  
"updated": null,
  
  
  
"supplier_terms": null,
  
  
  
"category_information_available": null,
  
  
  
"last_modified": null,
  
  
  
"supplier_role": null,
  
  
  
"discount_percentage": null,
  
  
  
"event_name": "",
  
  
  
"pairs_only": null,
  
  
  
"service_fee": null,
  
  
  
"service_feevat": null,
  
  
  
"number_of_tickets_sold": 0,
  
  
  
"number_of_bookingorders": 0,
  
  
  
"ticket_targetgroup": null,
  
  
  
"organiser_id": null,
  
  
  
"countries_disabled": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"countries_enabled": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"distributors_disabled": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"distributors_enabled": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"vat_category": null,
  
  
  
"organiser_price_eur": null,
  
  
  
"xs2event_price_eur": null,
  
  
  
"latest_sale_date": null,
  
  
  
"ticket_source": null,
  
  
  
"last_checked": null,
  
  
  
"sales_periods": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"release_date": null,
  
  
  
"cost_price_eur": null,
  
  
  
"cost_price": null,
  
  
  
"face_value_eur": null,
  
  
  
"sales_price_eur": null,
  
  
  
"sales_price": 100,
  
  
  
"ticket_yield": {
  
  
  
  
"yield_strategy": "auto",
  
  
  
  
"yield_min_price": 10000,
  
  
  
  
"yield_max_price": 50000,
  
  
  
  
"currency_code": "EUR",
  
  
  
  
"diff_from_cheapest": 0,
  
  
  
  
"enabled": false,
  
  
  
  
"enabled_supplier_ids": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"disabled_supplier_ids": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"minimum_different_suppliers": 1
  
  
  
},
  
  
  
"note": null,
  
  
  
"package_rate": false
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​